%errorA = ForceRequiredAddOn("Weapon_BugZapper");
%errorB = ForceRequiredAddOn("Weapon_MAS_Orb_Launcher");

if(%errorA == $Error::AddOn_Disabled)
	bugZapperItem.uiName = "";
if(%errorB == $Error::AddOn_Disabled)
	OrbLauncherItem.uiName = "";

if(%errorA == $Error::AddOn_NotFound)
	error("ERROR: Player_MAS_ScarabWasp - required add-on Weapon_BugZapper not found");
if(%errorB == $Error::AddOn_NotFound)
	error("ERROR: Player_MAS_ScarabWasp - required add-on Weapon_Orb_Launcher not found");

else
{
	exec("./Weapon_DualZappers.cs");
	exec("./Weapon_DualOrbL.cs");
//	exec("./Weapon_LightningSting.cs");
	exec("./Ai_scrabWasp.cs"); 
	exec("./Ai_scrabWasp_Security.cs"); 
	exec("./Ai_scrabWasp_Riot.cs"); 
}

package ScarabWaspPermaItemsPackage
{
	function Armor::onNewDatablock(%this,%obj)
	{
		parent::onNewDatablock(%this,%obj);
		if(%obj.getDatablock().getName() $= "MASsecurityScarabWasp")
		{
			%obj.tool[0] = DualbugZapperItem.getID();
			messageClient(%obj.client,'MsgItemPickup','',0,DualbugZapperItem.getID());
		}
		if(%obj.getDatablock().getName() $= "MASriotScarabWasp")
		{
			%obj.tool[0] = DualOrbLauncherItem.getID();
			messageClient(%obj.client,'MsgItemPickup','',0,DualOrbLauncherItem.getID());
		}
	}
	function GameConnection::spawnPlayer(%this)
	{
		Parent::spawnPlayer(%this);
		if(%this.player.getDatablock().getName() $= "MASsecurityScarabWasp")
		{
			%this.player.tool[0] = DualbugZapperItem.getID();
			messageClient(%this,'MsgItemPickup','',0,DualbugZapperItem.getID());
		}
		if(%this.player.getDatablock().getName() $= "MASriotScarabWasp")
		{
			%this.player.tool[0] = DualOrbLauncherItem.getID();
			messageClient(%this,'MsgItemPickup','',0,DualOrbLauncherItem.getID());
		}
	}
};

activatePackage(ScarabWaspPermaItemsPackage);
