
// Load dts shapes and merge animations
datablock TSShapeConstructor(MASscarabWaspDts)
{
	baseShape  = "./ScrabWasp3.dts";
	sequence0  = "./ScWs_root.dsq root";

	sequence1  = "./ScWs_run.dsq run";
	sequence2  = "./ScWs_run.dsq walk";
	sequence3  = "./ScWs_back.dsq back";
	sequence4  = "./ScWs_side.dsq side";

	sequence5  = "./ScWs_crouch.dsq crouch";
	sequence6  = "./ScWs_crouchMove.dsq crouchRun";
	sequence7  = "./ScWs_crouchBack.dsq crouchBack";
	sequence8  = "./ScWs_crouchSide.dsq crouchSide";

	sequence9  = "./ScWs_root.dsq look";
	sequence10 = "./ScWs_root.dsq headside";
	sequence11 = "./ScWs_root.dsq headUp";

	sequence12 = "./ScWs_Jump.dsq jump";
	sequence13 = "./ScWs_Jump.dsq standjump";
	sequence14 = "./ScWs_fall.dsq fall";
	sequence15 = "./ScWs_root.dsq land";

	sequence16 = "./ScWs_root.dsq armAttack";
	sequence17 = "./ScWs_root.dsq armReadyLeft";
	sequence18 = "./ScWs_root.dsq armReadyRight";
	sequence19 = "./ScWs_clawReady.dsq armReadyBoth";
	sequence20 = "./ScWs_clawHold.dsq spearready";  
	sequence21 = "./ScWs_clawStrike.dsq spearThrow";

	sequence22 = "./ScWs_root.dsq talk";  

	sequence23 = "./ScWs_death.dsq death1"; 
	
	sequence24 = "./ScWs_root.dsq shiftUp";
	sequence25 = "./ScWs_root.dsq shiftDown";
	sequence26 = "./ScWs_root.dsq shiftAway";
	sequence27 = "./ScWs_root.dsq shiftTo";
	sequence28 = "./ScWs_root.dsq shiftLeft";
	sequence29 = "./ScWs_root.dsq shiftRight";
	sequence30 = "./ScWs_root.dsq rotCW";
	sequence31 = "./ScWs_root.dsq rotCCW";

	sequence32 = "./ScWs_root.dsq undo";
	sequence33 = "./ScWs_bash.dsq plant";

	sequence34 = "./ScWs_sit.dsq sit";

	sequence35 = "./ScWs_bash.dsq wrench";

   sequence36 = "./ScWs_bash.dsq activate";
   sequence37 = "./ScWs_bash.dsq activate2";

   sequence38 = "./ScWs_root.dsq leftrecoil";
   
//   sequence39 = "./ScWs_clawReady.dsq clawReady";
	sequence39 = "./ScWs_sting.dsq Sting";
//   sequence40 = "./ScWs_clawStrike.dsq clawStrike";
//   sequence41 = "./ScWs_clawHold.dsq clawHold";
};    

//datablock AudioProfile(HorseJumpSound)
//{
//   fileName = "./jumpHorse.wav";
//   description = AudioClose3d;
//   preload = true;
//};

datablock PlayerData(MASscarabWasp : PlayerStandardArmor)
{
	//category = "Vehicles";
	shapeFile = "./ScrabWasp3.dts";
	mass = 100;

//	renderFirstPerson = true;

	cameraMaxDist = 6;
	cameraTilt = 0.1;//0.174 * 2.5; //~25 degrees
	cameraVerticalOffset = 2;

	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;

	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.2;
	maxlookangle = 1.2;

	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	jumpForce = 12 * 100; //8.3 * 90;
	jumpDelay = 0.1;
	jumpsound = "";

	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 190;	//240

	runforce = 80 * 100;
	maxForwardSpeed = 12;	//10
	maxBackwardSpeed = 12;	//10
	maxSideSpeed = 8;
	
	maxForwardCrouchSpeed = 6;	//5.5
	maxBackwardCrouchSpeed = 6;	//5.5
	maxSideCrouchSpeed = 4;

	boundingBox			= vectorScale("1.8 1.8 0.90", 4); //"2.5 2.5 2.4";
	crouchBoundingBox	= vectorScale("1.8 1.8 0.65", 4); //"2.5 2.5 2.4";
	proneBoundingBox	= vectorScale("1.8 1.8 0.65", 4); //"2.5 2.5 2.4";

	maxStepHeight = 0.8;

	BrickDestroyMaxVolume = 10;
	BrickMaxJumpHeight = 3;

	uiName = "MAS ScarabWasp - Standard";
	rideable = true;
	canRide = false;
//	BrickKillRadius = 1;
//	skinColor = "0.5 0.5 0.5 1";
//	FollowAnim = "ArmReadyright";
//	attackpower = 28;
//	randomwalk = 1;
//	aimatplayer = 1;
//	SpecialAttack = 0;
//	NoBloodyHands = 1;
//	DoNotZombify = 1;
//	chance = 90;
//	ZombieTeam = "MAS";
//	ignorePipeBombs = 1;
	paintable = true;
//	SearchRadius = 90;
	numMountPoints = 0;

    useCustomPainEffects = true;
		PainSound           = "";
		DeathSound          = "";
};

function MASscarabWasp::OnnewDatablock(%this,%obj)
{
//	ZombieDefault::onAdd(%this,%obj);
//	schedule(15,0,nazify,%obj);
	%obj.name = "ScarabWasp";
	%obj.hidenode("zappers");
	%obj.hidenode("Olaunchers");
	%obj.hidenode("claw");
	%obj.hidenode("claw_NOCOL");
//	%obj.hidenode(all);
	parent::OnnewDatablock(%this,%obj);
//	%obj.mountimage(gunimage,0);
	//%obj.mountimage(rocketlauncherimage,0);
}

